define(['testsuite/qunit', 'jquery', 'ep/openwindow'], function (QUnit, $, ep) {

	QUnit.module("ep/openwindow");

	QUnit.asyncTest("ep/openwindow", function() {

		ep.openWindow('../ep/openwindow-test-dummy.html', {externalUrl: false});

		QUnit.equal(
			$('.ui-dialog:visible').length,
			1,
			'dialog successfully opened'
		);

		setTimeout(function(){

			$(':button').trigger('click');

			QUnit.equal(
				$('.ui-dialog:visible').length,
				0,
				'dialog successfully closed'
			);

			ep.openWindow('http://www.epages.com', {'width': 3000, externalUrl: true});

			QUnit.equal(
				$('.ui-dialog').width(),
				3000,
				'check dialog width'
			);

			$(':button').trigger('click');

			// open dialog for mobile preview
			ep.openMobileWindow("http://www.epages.com#anchor");

			setTimeout(function(){
				equal($('.ep-preview-mobile-storefront').length, 1, 'dialog for mobile preview was built');

				// trigger close button
				$('.ep-preview-mobile-storefront .ep-close-mobilepreview button').trigger('click');

				// destroy dialog instance
				ep.destroyWindow();

				QUnit.equal(
					$('.ep-preview-mobile-storefront').length,
					0,
					'dialog for mobile preview was destroyed'
				);

				QUnit.start();

			}, 1000);


		}, 2000);
	});

});